> For the complete documentation index, see [llms.txt](https://docs.guayaba.run/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guayaba.run/documentation/api-reference/billing-and-credits.md).

# Billing & Credits

Certain write operations consume credits. Credits are charged only on success (HTTP 2xx).

| Operation                   | Credits | Endpoint                   |
| --------------------------- | ------- | -------------------------- |
| Create agent                | 10      | `POST /agents`             |
| Update agent                | 10      | `PUT /agents/{id}`         |
| Start agent                 | 5       | `POST /agents/{id}/start`  |
| Reload config               | 1       | `POST /agents/{id}/reload` |
| Chat message                | 1 + LLM | `POST /agents/{id}/chat`   |
| Stop / Pause / Delete agent | 0       | —                          |
| All read operations         | 0       | —                          |

Insufficient credits returns `402` **before** executing the operation.

> Credit costs are provisional and subject to change.
